<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class SeederExecute extends Seeder
{
    public function run()
    {

        $dataOficina = array(
            'ofic_descripcion' => 'GENERAL',
            'ofic_estado' => 1
        );

        $this->db->table('oficina')->insert($dataOficina);

        $dataCargo = array(
            'carg_descripcion' => 'GENERAL',
            'carg_responsable' => 1,
            'carg_estado' => 1,
            'ofic_id' => 1
        );

        $this->db->table('cargo')->insert($dataCargo);

        $dataUsuario = array(
            'usua_documento_identidad' => '00000000',
            'usua_primer_apellido' => 'ROOT',
            'usua_segundo_apellido' => '',
            'usua_nombres' => '',
            'usua_correo' => 'usuario@correo.com',
            'usua_usuario' => 'root',
            'usua_contrasena' => password_hash('root',PASSWORD_BCRYPT),
            'usua_estado' => 1,
            'carg_id' => 1
        );

        $this->db->table('usuario')->insert($dataUsuario);

        $dataCarpeta = array(
            'carp_descripcion' => 'INICIO',
            'carp_estado' => 1,
            'usua_id_owner' => 1
        );

        $this->db->table('carpeta')->insert($dataCarpeta);
    }
}

